####### This section is automatically generated from
#######    /home/hanord/qt/examples/Makefile

INCDIR	=	$(QTDIR)/include
CFLAGS	=	-O2
LFLAGS	=	-L$(QTDIR)/lib -lqt
CC	=	gcc
MOC	=	moc

####### End of automatically generated section
#
# $Source: /local/lib/cvs/qt/examples/widgets/Makefile,v $
#

####### Files

SOURCES	=	widgets.cpp	../aclock/aclock.cpp	../dclock/dclock.cpp
OBJECTS	=	widgets.o	aclock.o		dclock.o
SRCMETA	=	widgets.moc	aclock.moc		dclock.moc
TARGET	=	widgets

####### Implicit rules

.SUFFIXES: .cpp

.cpp.o:
	$(CC) -c $(CFLAGS) -I$(INCDIR) $<

####### Build rules

all: $(TARGET)

$(TARGET): $(SRCMETA) $(OBJECTS)
	$(CC) $(OBJECTS) -o $(TARGET) $(LFLAGS)

depend:
	@makedepend -I$(INCDIR) $(SOURCES) 2> /dev/null

showfiles:
	@echo widgets.cpp Makefile

clean:
	-rm -f *.o *.bak *~ *% #*
	-rm -f $(SRCMETA) $(TARGET)

####### Explicit dependencies

aclock.o: ../aclock/aclock.cpp
	$(CC) -c $(CFLAGS) -I$(INCDIR) $<

dclock.o: ../dclock/dclock.cpp
	$(CC) -c $(CFLAGS) -I$(INCDIR) $<

####### Meta objects

widgets.moc: widgets.cpp
	$(MOC) widgets.cpp -o widgets.moc

aclock.moc: ../aclock/aclock.h
	$(MOC) ../aclock/aclock.h -o aclock.moc

dclock.moc: ../dclock/dclock.h
	$(MOC) ../dclock/dclock.h -o dclock.moc


# DO NOT DELETE THIS LINE -- make depend depends on it.
